/*
 * CitationFacadeBean.java
 *
 * Created on October 19, 2006, 5:23 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.schwarcz.enamels.model;

import javax.ejb.*;
import javax.persistence.*;
import java.util.List;

/**
 *
 * @author Carl
 */
@Stateless(mappedName="CitationFacade")
public class CitationFacadeBean implements CitationFacadeLocal, CitationFacadeRemote {
    
    @PersistenceContext(unitName="EnamelPU")
    EntityManager em;
        
    /** Creates a new instance of CitationBean */
    public CitationFacadeBean() {
    }
    
    public List<Citation> findByEnamel(String aka){
        List<Citation> result;
        result = (List<Citation>)em.createNamedQuery("Citation.findByEnamel")
            .setParameter("aka", aka)
            .getResultList();
        return result;
    }

    public boolean isReachable() {
        
        return true;
    }
}
