
package com.schwarcz.enamels.model;

import javax.ejb.Local;
import java.util.List;

/**
 * This is the business interface for EnamelFacade enterprise bean.
 */
@Local
public interface EnamelFacadeLocal {
    Enamel find(String id);
    
    public List<Enamel> findRange(String minId, String maxId);
    
    public List<Enamel> findAll();

    boolean isReachable();
}
