/*
 * ShowpieceFacadeBean.java
 *
 * Created on October 23, 2006, 2:00 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.schwarcz.enamels.model;

import javax.ejb.Stateless;
import java.util.List;
import javax.persistence.*;

/**
 *
 * @author Carl
 */
@Stateless(mappedName="ShowpieceFacade")
public class ShowpieceFacadeBean implements ShowpieceFacadeRemote, ShowpieceFacadeLocal {
    
    @PersistenceContext(unitName="EnamelPU")
    EntityManager em;
    
    /** Creates a new instance of ShowpieceFacadeBean */
    public ShowpieceFacadeBean() {
    }
    
    public List<Exhibition> findExhibitions(String id) {
        List<Exhibition> result;
        result = (List<Exhibition>)em.createNamedQuery("Showpiece.findByEnamel")
        .setParameter("id", id)
        .getResultList();
        return result;
    }

    public boolean isReachable() {
        
        return true;
    }
    
}
