/*
 * PublicationFacadeRemoteTest.java
 * JUnit based test
 *
 * Created on October 21, 2006, 5:44 PM
 */
package com.schwarcz.enamels.model;

import junit.framework.*;
import javax.ejb.Remote;
import java.util.List;
import com.schwarcz.util.*;

/**
 *
 * @author Carl
 */
public class PublicationFacadeRemoteTest extends TestCase {
    
    PublicationFacadeRemote pfr;
    
    public PublicationFacadeRemoteTest(String testName) {
        super(testName);
    }
    
    protected void setUp() throws Exception {
        pfr = (PublicationFacadeRemote) ServiceLocator.lookup("PublicationFacade");
        
    }
    
    protected void tearDown() throws Exception {
    }
    
    public void testFind() {
        String id = "03AmCraft";
        Publication p = pfr.find(id);
        assertNotNull(p);
        assertEquals("pub id", id, p.getId());
        assertTrue("pub year", p.getYear() == 2003);
    }

}
