
package com.schwarcz.enamels.model;

import javax.ejb.Remote;
import java.util.List;

/**
 * This is the business interface for EnamelFacade enterprise bean.
 */
@Remote
public interface EnamelFacadeRemote {
    Enamel find(String id);
    
    public List<Enamel> findRange(String minId, String maxId);
    
    public List<Enamel> findAll();

    boolean isReachable();
}
