/*
 * LoggingSetup.java
 *
 * Created on October 25, 2006, 6:27 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.schwarcz.util;

import org.apache.log4j.*;
import java.util.Properties;

/**
 *
 * @author Carl
 */
public class LoggingSetup {
    static Logger logger;
    
    static String [][] atts = {
    
        {"log4j.rootLogger", "info, enamel"},
        {"log4j.com.schwarcz", "info"},
        {"log4j.appender.enamel", "org.apache.log4j.ConsoleAppender"},
//        {"log4j.appender.enamel.Target", "System.out"},
        {"log4j.appender.enamel.layout", "org.apache.log4j.PatternLayout"},
        {"log4j.appender.enamel.layout.ConversionPattern", "%d{ABSOLUTE} %5p %c{1}:%L - %m%n"},
        {"log4j.logger.org.hibernate", "info"}

    };

 /**
  *
log4j.rootLogger=warn, stdout

log4j.logger.org.hibernate=info
#log4j.logger.org.hibernate=debug

### log HQL query parser activity
#log4j.logger.org.hibernate.hql.ast.AST=debug

### log just the SQL
#log4j.logger.org.hibernate.SQL=debug

### log JDBC bind parameters ###
log4j.logger.org.hibernate.type=info
#log4j.logger.org.hibernate.type=debug

### log schema export/update ###
log4j.logger.org.hibernate.tool.hbm2ddl=debug

### log HQL parse trees
#log4j.logger.org.hibernate.hql=debug

### log cache activity ###
#log4j.logger.org.hibernate.cache=debug

### log transaction activity
#log4j.logger.org.hibernate.transaction=debug

### log JDBC resource acquisition
#log4j.logger.org.hibernate.jdbc=debug

### enable the following line if you want to track down connection ###
### leakages when using DriverManagerConnectionProvider ###
#log4j.logger.org.hibernate.connection.DriverManagerConnectionProvider=trace
**/

    static {
        
        Properties props = new Properties();
        
        for (int i=0; i < atts.length; i++){
            String key = atts[i][0];
            String value = atts[i][1];
            System.out.println (key + " = " + value);
            props.setProperty(key, value);
        }
        
        PropertyConfigurator.configure(props);
        
//        BasicConfigurator.configure();
        logger = Logger.getLogger("com.schwarcz.util.LoggingSetup");
        logger.info("log4j configured");
    }
    
    /** Creates a new instance of LoggingSetup */
     public LoggingSetup() {
    }
    
}
